Page MenuHomePhabricator

TableGen: Add !ne, !le, !lt, !ge, and !gt comparisons
ClosedPublic

Authored by nhaehnle on Mar 5 2018, 12:20 PM.

Details

Summary

Change-Id: I8e2ece677268972d578a787467f7ef52a1f33a71

Diff Detail

Repository
rL LLVM

Event Timeline

nhaehnle created this revision.Mar 5 2018, 12:20 PM
arsenm added inline comments.Mar 6 2018, 7:57 AM
include/llvm/TableGen/Record.h
806 ↗(On Diff #137062)

Might as well add NE if you're adding the rest?

nhaehnle updated this revision to Diff 137346.Mar 7 2018, 3:03 AM

Add !ne as well

nhaehnle retitled this revision from TableGen: Add !le, !lt, !ge, and !gt comparisons to TableGen: Add !ne, !le, !lt, !ge, and !gt comparisons.Mar 7 2018, 3:04 AM
nhaehnle marked an inline comment as done.
arsenm accepted this revision.Mar 7 2018, 4:34 AM

LGTM

This revision is now accepted and ready to land.Mar 7 2018, 4:34 AM
tra accepted this revision.Mar 9 2018, 9:50 AM
This revision was automatically updated to reflect the committed changes.